import { ElementRef, EventEmitter, OnInit, Renderer } from '@angular/core';
import { MdButton } from '@angular/material';
import { BigScreenService } from 'angular-bigscreen';
export declare class OpenViduComponent implements OnInit {
    private renderer;
    private bigScreenService;
    wsUrl: string;
    sessionId: string;
    participantId: string;
    onRoomConnected: EventEmitter<any>;
    onRoomClosed: EventEmitter<any>;
    onLostConnection: EventEmitter<any>;
    onParticipantJoined: EventEmitter<any>;
    onParticipantLeft: EventEmitter<any>;
    onErrorMedia: EventEmitter<any>;
    mainElement: ElementRef;
    toggleMicElement: MdButton;
    toggleCameraElement: MdButton;
    private toolbarColor;
    private openVidu;
    private session;
    private participants;
    private myCamera;
    private mainStream;
    private streams;
    private joinedRoom;
    private connected;
    private userMessage;
    private micDisabled;
    private cameraDisabled;
    private isFullscreen;
    constructor(renderer: Renderer, bigScreenService: BigScreenService);
    ngOnInit(): void;
    private setListeners();
    private joinSession(sessionId, participantId, callback);
    private toggleMic();
    private toggleCamera();
    private toggleFullscreen();
    private leaveSession();
}
