"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var platform_browser_1 = require("@angular/platform-browser");
var StreamComponent = (function () {
    function StreamComponent(domSanitizer, renderer) {
        this.domSanitizer = domSanitizer;
        this.renderer = renderer;
    }
    Object.defineProperty(StreamComponent.prototype, "stream", {
        get: function () {
            return this._stream;
        },
        set: function (val) {
            var _this = this;
            this._stream = val;
            // Loop until you get a WrStream
            var int = setInterval(function () {
                if (_this.stream.getWrStream()) {
                    _this.videoSrc = _this.domSanitizer.bypassSecurityTrustUrl(URL.createObjectURL(_this.stream.getWrStream()));
                    console.log('Video tag src = ' + _this.videoSrc);
                    clearInterval(int);
                }
            }, 1000);
            // If local, mute video
            this.muted = this.stream.isLocalMirrored();
            // If local, flip screen
            this.renderer.setElementClass(this.videoStream.nativeElement, 'flip-screen', this.stream.isLocalMirrored());
            // If local, show nice name
            this.name.nativeElement.textContent = (this.stream.isLocalMirrored()) ? 'You' : this.stream.getParticipant().getId();
        },
        enumerable: true,
        configurable: true
    });
    StreamComponent.prototype.ngOnInit = function () {
        //this.stream.addEventListener('src-added', () => {
        //    this.video.src = this.sanitizer.bypassSecurityTrustUrl(URL.createObjectURL(this.stream.getWrStream())).toString();
        //});
    };
    return StreamComponent;
}());
StreamComponent.decorators = [
    { type: core_1.Component, args: [{
                selector: 'stream',
                styles: [".flip-screen {\n  -webkit-transform: scaleX(-1);\n      -ms-transform: scaleX(-1);\n          transform: scaleX(-1);\n}\nstream.main-stream .participant {\n  width: 100%;\n  height: 100%;\n  margin: 0px;\n  float: none;\n  display: -webkit-box;\n  display: -webkit-flex;\n  display: -ms-flexbox;\n  display: flex;\n}\nstream.main-stream .participant span {\n  display: none;\n}\nstream.main-stream .participant video {\n  width: 100%;\n}\nstream.side-stream {\n  margin: 0px 20px;\n}\nstream .participant {\n  position: relative;\n  width: 177px;\n  height: 100px;\n  -webkit-box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.4);\n          box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.4);\n}\nstream .participant span {\n  position: absolute;\n  bottom: 10px;\n  text-overflow: ellipsis;\n  padding: 0px 10px;\n  color: #fff;\n  -webkit-box-sizing: border-box;\n          box-sizing: border-box;\n  text-shadow: #000 1px 1px 3px;\n  width: 100%;\n  overflow: hidden;\n  direction: ltr;\n  z-index: 1;\n}\nstream .participant video {\n  width: 100%;\n  height: 100%;\n}\n"],
                template: "\n\t\t<div class=\"participant\">\n\t\t\t<span #name></span>\n\t\t\t<video #videoStream class=\"\" autoplay=\"true\" [src]=\"videoSrc\" [muted]=\"muted\"></video>\n        </div>",
                encapsulation: core_1.ViewEncapsulation.None
            },] },
];
/** @nocollapse */
StreamComponent.ctorParameters = function () { return [
    { type: platform_browser_1.DomSanitizer, },
    { type: core_1.Renderer, },
]; };
StreamComponent.propDecorators = {
    'name': [{ type: core_1.ViewChild, args: ['name',] },],
    'videoStream': [{ type: core_1.ViewChild, args: ['videoStream',] },],
    'stream': [{ type: core_1.Input, args: ['stream',] },],
};
exports.StreamComponent = StreamComponent;
//# sourceMappingURL=stream.component.js.map